com.hazelcast.spring

## Class HazelcastClientBeanDefinitionParser.SpringXmlBuilder

- java.lang.Object
- - com.hazelcast.config.AbstractXmlConfigHelper
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper
    - - com.hazelcast.spring.HazelcastClientBeanDefinitionParser.SpringXmlBuilder

- Enclosing class:
    HazelcastClientBeanDefinitionParser

      public static class HazelcastClientBeanDefinitionParser.SpringXmlBuilder
      extends AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper

  Client bean definition builder

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper

      `configBuilder`

    - ### Fields inherited from class com.hazelcast.config.AbstractXmlConfigHelper

      `domLevel3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringXmlBuilder(org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `handleClient(Node rootNode)`

    - ### Methods inherited from class com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper

      `createAndFillBeanBuilder, createAndFillListedBean, createBeanBuilder, fillAttributesForAliasedDiscoveryStrategy, fillAttributeValues, fillAttributeValues, fillValues, getAttribute, getEvictionConfig, getPreloaderConfig, getTextContent, handleCommonBeanAttributes, handleDataSerializableFactories, handleDiscoveryStrategies, handleJavaSerializationFilter, handlePortableFactories, handleProperties, handleSerialization, handleSerializers, handleSocketInterceptorConfig, handleSpringAware, parseListeners, parseProperties, parseProxyFactories`

    - ### Methods inherited from class com.hazelcast.config.AbstractXmlConfigHelper

      `appendToken, getConfigType, getNamespaceType, getReleaseVersion, loadSchemaFile, schemaValidation, xmlToJavaName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringXmlBuilder

          public SpringXmlBuilder(org.springframework.beans.factory.xml.ParserContext parserContext,
                                  org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  - ### Method Detail

    - #### handleClient

          public org.springframework.beans.factory.support.AbstractBeanDefinition handleClient(Node rootNode)

Copyright © 2020. All rights reserved.